> For the complete documentation index, see [llms.txt](https://developer.ultimo.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ultimo.net/api-guide/soap/requesting-data.md).

# Requesting data

It is possible to retrieve data by sending a request to one of the activated export connectors. Without sending requestData, all data from the connector will be returned. It is possible to add filters to a request to retrieve specific information from the connector. Filters can be applied by adding them in the requestData node within a CDATA block.

*Example request*

```javascript
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:tem="http://tempuri.org/">
    <soapenv:Header/>
    <soapenv:Body>
        <tem:ExportData>
            <tem:exportName>exportconnector</tem:exportName>
            <tem:userName>user</tem:userName>
            <tem:password>password</tem:password>
            <tem:requestData>
                <![CDATA[<Data>
                <RequestInfo>
                    <Property Name="Code" Value="[FilterValue]" />
                </RequestInfo>
            </Data>]]>
            </tem:requestData>
        </tem:ExportData>
    </soapenv:Body>
</soapenv:Envelope>
```

*Example response*

Returns the full request or an exception

```javascript
<s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
    <s:Body>
        <ExportDataResponse xmlns="http://tempuri.org/">
            <ExportDataResult>
                <![CDATA[<Data>
                    <Object Type="EntityName" Action="InsertOrUpdate">
                        <Property Name="Id" Value="[FilterValue]" />
                        <Property Name="Description" Value="Object 1" />
                    </Object>
                </Data>]]>
            </ExportDataResult>
        </ExportDataResponse>
    </s:Body>
</s:Envelope>
```

The request and response are expected and returned in a fixed Ultimo format. With XSL transformations, it is possible to transform the request (to the Ultimo format) and response (to the desired custom format) when using XML as an output result. This is optional and can only be done by our consultants. Output can also be returned in a default CSV or JSON format.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.ultimo.net/api-guide/soap/requesting-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
